sc::StateOutBin Class Reference

Save state to a binary file. More...

`#include <state_bin.h>`

Inheritance diagram for sc::StateOutBin:
[legend]
Collaboration diagram for sc::StateOutBin:
[legend]

## Public Member Functions

| StateOutBin (std::ostream &)
| StateOutBin (const char *)
int | open (const char *name)
| State information will be written to name.
void | close ()
| Close the output stream.
int | use_directory ()
| Returns true if this object uses a directory.
int | tell ()
| Returns the current position in the file. More...
void | seek (int loc)
| Set the current position in the file. More...
int | seekable ()
| Return non-zero if tell and seek do anything sensible. More...
Public Member Functions inherited from sc::StateOutFile
| StateOutFile ()
| State information will be written to ExEnv::outn().
| StateOutFile (std::ostream &s)
| State information will be written to s.
| StateOutFile (const char *name)
| State information will be written to name.
virtual void | flush ()
| Flush the output stream.
Public Member Functions inherited from sc::StateOut
virtual void | put_header ()
| Write out header information.
virtual int | putstring (const char *)
| This is like put except the length of the char array is determined by interpreting the character array as a character string. More...
virtual int | put (const std::string &)
| Write out a std::string object.
virtual int | put (char r)
| Write the given datum.
virtual int | put (unsigned int r)
virtual int | put (int r)
virtual int | put (bool r)
virtual int | put (unsigned long r)
virtual int | put (float r)
virtual int | put (double r)
virtual int | put (const char *, int)
| Write the given array data. More...
virtual int | put (const unsigned int *, int)
virtual int | put (const int *, int)
virtual int | put (const float *, int)
virtual int | put (const double *, int)
virtual int | put_array_char (const char *p, int size)
| Put arrays of data. More...
virtual int | put_array_uint (const unsigned int *p, int size)
virtual int | put_array_int (const int *p, int size)
virtual int | put_array_float (const float *p, int size)
virtual int | put_array_double (const double *p, int size)
template<class T >
int | put (typename std::vector< T > &v)
| Write an STL vector of data.
void | forget_references ()
| Don't keep track of pointers to objects. More...
void | copy_references ()
| If a reference to an object that has already been written is encountered, copy it instead of generating a reference to the first object. More...
int | node_to_node () const
| True if this is a node to node save/restore. More...
Public Member Functions inherited from sc::DescribedClass
| DescribedClass (const DescribedClass &)
DescribedClass & | operator= (const DescribedClass &)
ClassDesc * | class_desc () const throw ()
| This returns the unique pointer to the ClassDesc corresponding to the given type_info object. More...
const char * | class_name () const
| Return the name of the object's exact type.
int | class_version () const
| Return the version of the class.
virtual void | print (std::ostream &=ExEnv::out0()) const
| Print the object.
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Additional Inherited Members

Protected Member Functions inherited from sc::StateOut
virtual int | putparents (const ClassDesc *)
void | put_directory ()
void | have_classdesc ()
int | need_classdesc ()
virtual int | putobject (const Ref< SavableState > &)
| This will prepare StateOut to output a pointer to data. More...
virtual int | put (const ClassDesc *)
| Write out information about the given ClassDesc.
Protected Attributes inherited from sc::StateOutFile
int | opened_
std::streambuf * | buf_

## Detailed Description

Save state to a binary file.

## Member Function Documentation

void sc::StateOutBin::seek | ( | int | loc | ) |

virtual

Set the current position in the file.

The default implementation does nothing.

Reimplemented from sc::StateOut.

int sc::StateOutBin::seekable | ( |  | ) |

virtual

Return non-zero if tell and seek do anything sensible.

The default implementation returns 0.

Reimplemented from sc::StateOut.

int sc::StateOutBin::tell | ( |  | ) |

virtual

Returns the current position in the file.

The default implementation returns 0.

Reimplemented from sc::StateOut.

The documentation for this class was generated from the following file:

- state_bin.h